Contributors blablupcom woodbine

Last run failed with status code 1.

Console output of last run

Injecting configuration and compiling...  -----> Python app detected  ! The latest version of Python 2 is python-2.7.14 (you are using python-2.7.6, which is unsupported).  ! We recommend upgrading by specifying the latest version (python-2.7.14).  Learn More: https://devcenter.heroku.com/articles/python-runtimes -----> Installing python-2.7.6 -----> Installing pip -----> Installing requirements with pip  DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support  Obtaining scraperwiki from git+http://github.com/openaustralia/scraperwiki-python.git@morph_defaults#egg=scraperwiki (from -r /tmp/build/requirements.txt (line 1))  Cloning http://github.com/openaustralia/scraperwiki-python.git (to revision morph_defaults) to /app/.heroku/src/scraperwiki  Running command git clone -q http://github.com/openaustralia/scraperwiki-python.git /app/.heroku/src/scraperwiki  Running command git checkout -b morph_defaults --track origin/morph_defaults  Switched to a new branch 'morph_defaults'  Branch morph_defaults set up to track remote branch morph_defaults from origin.  /app/.heroku/python/lib/python2.7/site-packages/pip/_vendor/urllib3/util/ssl_.py:380: SNIMissingWarning: An HTTPS request has been made, but the SNI (Server Name Indication) extension to TLS is not available on this platform. This may cause the server to present an incorrect TLS certificate, which can cause validation failures. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings  SNIMissingWarning,  /app/.heroku/python/lib/python2.7/site-packages/pip/_vendor/urllib3/util/ssl_.py:139: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings  InsecurePlatformWarning,  Collecting lxml==3.4.4  /app/.heroku/python/lib/python2.7/site-packages/pip/_vendor/urllib3/util/ssl_.py:139: InsecurePlatformWarning: A true SSLContext object is not available. This prevents urllib3 from configuring SSL appropriately and may cause certain SSL connections to fail. You can upgrade to a newer version of Python to solve this. For more information, see https://urllib3.readthedocs.io/en/latest/advanced-usage.html#ssl-warnings  InsecurePlatformWarning,  Downloading lxml-3.4.4.tar.gz (3.5 MB)  Collecting cssselect==0.9.1  Downloading cssselect-0.9.1.tar.gz (32 kB)  Collecting beautifulsoup4  Downloading beautifulsoup4-4.8.2-py2-none-any.whl (106 kB)  Collecting python-dateutil  Downloading python_dateutil-2.8.1-py2.py3-none-any.whl (227 kB)  Collecting requests[security]  Downloading requests-2.23.0-py2.py3-none-any.whl (58 kB)  Collecting dumptruck>=0.1.2  Downloading dumptruck-0.1.6.tar.gz (15 kB)  Collecting soupsieve>=1.2  Downloading soupsieve-1.9.5-py2.py3-none-any.whl (33 kB)  Collecting six>=1.5  Downloading six-1.14.0-py2.py3-none-any.whl (10 kB)  Collecting idna<3,>=2.5  Downloading idna-2.9-py2.py3-none-any.whl (58 kB)  Collecting chardet<4,>=3.0.2  Downloading chardet-3.0.4-py2.py3-none-any.whl (133 kB)  Collecting urllib3!=1.25.0,!=1.25.1,<1.26,>=1.21.1  Downloading urllib3-1.25.8-py2.py3-none-any.whl (125 kB)  Collecting certifi>=2017.4.17  Downloading certifi-2019.11.28-py2.py3-none-any.whl (156 kB)  Collecting cryptography>=1.3.4; extra == "security"  Downloading cryptography-2.8-cp27-cp27m-manylinux2010_x86_64.whl (2.3 MB)  Collecting pyOpenSSL>=0.14; extra == "security"  Downloading pyOpenSSL-19.1.0-py2.py3-none-any.whl (53 kB)  Collecting backports.functools-lru-cache; python_version < "3"  Downloading backports.functools_lru_cache-1.6.1-py2.py3-none-any.whl (5.7 kB)  Collecting cffi!=1.11.3,>=1.8  Downloading cffi-1.14.0-cp27-cp27m-manylinux1_x86_64.whl (388 kB)  Collecting enum34; python_version < "3"  Downloading enum34-1.1.9-py2-none-any.whl (11 kB)  Collecting ipaddress; python_version < "3"  Downloading ipaddress-1.0.23-py2.py3-none-any.whl (18 kB)  Collecting pycparser  Downloading pycparser-2.19.tar.gz (158 kB)  Building wheels for collected packages: lxml, cssselect, dumptruck, pycparser  Building wheel for lxml (setup.py): started  Building wheel for lxml (setup.py): still running...  Building wheel for lxml (setup.py): finished with status 'done'  Created wheel for lxml: filename=lxml-3.4.4-cp27-cp27m-linux_x86_64.whl size=2989846 sha256=904711577f6ed64ca081be451bbc7b2039f176186267c70c95c81e51bd34b7f9  Stored in directory: /tmp/pip-ephem-wheel-cache-tqR_qw/wheels/d6/de/81/11ae6edd05c75aac677e67dd154c85da758ba6f3e8e80e962e  Building wheel for cssselect (setup.py): started  Building wheel for cssselect (setup.py): finished with status 'done'  Created wheel for cssselect: filename=cssselect-0.9.1-py2-none-any.whl size=26993 sha256=fde2bb0ee2e80c3d213ba010e8cd2d57f1bfaa5347684aa34a32225467c6f1e7  Stored in directory: /tmp/pip-ephem-wheel-cache-tqR_qw/wheels/85/fe/00/b94036d8583cec9791d8cda24c184f2d2ac1397822f7f0e8d4  Building wheel for dumptruck (setup.py): started  Building wheel for dumptruck (setup.py): finished with status 'done'  Created wheel for dumptruck: filename=dumptruck-0.1.6-py2-none-any.whl size=11842 sha256=ec171278d9f4e06956373a3c78da19ae4b48566f045c2cde80c9f21bc88eecb8  Stored in directory: /tmp/pip-ephem-wheel-cache-tqR_qw/wheels/dc/75/e9/1e61c4080c73e7bda99614549591f83b53bcc2d682f26fce62  Building wheel for pycparser (setup.py): started  Building wheel for pycparser (setup.py): finished with status 'done'  Created wheel for pycparser: filename=pycparser-2.19-py2.py3-none-any.whl size=111028 sha256=b9bbab5fd8e0786007500ba90c518517a145e5e2117577511ed7c046b576ca04  Stored in directory: /tmp/pip-ephem-wheel-cache-tqR_qw/wheels/f1/ed/ed/1cba03d3b567c6fabb01ea0e572dffecf350b7da49612d05b0  Successfully built lxml cssselect dumptruck pycparser  Installing collected packages: dumptruck, idna, chardet, urllib3, certifi, pycparser, cffi, enum34, six, ipaddress, cryptography, pyOpenSSL, requests, scraperwiki, lxml, cssselect, backports.functools-lru-cache, soupsieve, beautifulsoup4, python-dateutil  Running setup.py develop for scraperwiki  Successfully installed backports.functools-lru-cache-1.6.1 beautifulsoup4-4.8.2 certifi-2019.11.28 cffi-1.14.0 chardet-3.0.4 cryptography-2.8 cssselect-0.9.1 dumptruck-0.1.6 enum34-1.1.9 idna-2.9 ipaddress-1.0.23 lxml-3.4.4 pyOpenSSL-19.1.0 pycparser-2.19 python-dateutil-2.8.1 requests-2.23.0 scraperwiki six-1.14.0 soupsieve-1.9.5 urllib3-1.25.8   ! Hello! It looks like your application is using an outdated version of Python.  ! This caused the security warning you saw above during the 'pip install' step.  ! We recommend 'python-3.6.2', which you can specify in a 'runtime.txt' file.  ! -- Much Love, Heroku. DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support    -----> Discovering process types  Procfile declares types -> scraper Injecting scraper and running... /app/.heroku/python/lib/python2.7/site-packages/cryptography/hazmat/primitives/constant_time.py:26: CryptographyDeprecationWarning: Support for your Python version is deprecated. The next version of cryptography will remove support. Please upgrade to a release (2.7.7+) that supports hmac.compare_digest as soon as possible. utils.PersistentlyDeprecated2018, Traceback (most recent call last): File "scraper.py", line 99, in <module> links = block.find_all('div', 'el-collapse-item__header') AttributeError: 'NoneType' object has no attribute 'find_all'

Data

Downloaded 788 times by SimKennedy MikeRalphson woodbine

To download data sign in with GitHub

Download table (as CSV) Download SQLite database (67 KB) Use the API

rows 10 / 214

Statistics

Average successful run time: 4 minutes

Total run time: about 1 month

Total cpu time used: about 1 hour

Total disk space used: 96.5 KB

History

  • Auto ran revision 26497b30 and failed .
    nothing changed in the database
  • Auto ran revision 26497b30 and failed .
    nothing changed in the database
  • Auto ran revision 26497b30 and failed .
    nothing changed in the database
  • Auto ran revision 26497b30 and failed .
    nothing changed in the database
  • Auto ran revision 26497b30 and failed .
    nothing changed in the database
  • ...
  • Created on morph.io

Show complete history

Scraper code

Python

sp_E4704_LCC_gov / scraper.py